# Actors.jl

Concurrent programming in Julia with the [Actor model](https://en.wikipedia.org/wiki/Actor_model).

## Overview

- A [quick introduction](intro.md) to `Actors`,
- How to use [actors](actors.md),
- How to use [behaviors](behaviors.md),
- `Actors` API: [detailed documentation](api.md),
- Internals
    - The actor [protocol](protocol.md),
    - [Interface](interface.md) for Julia actor libraries,
    - actor [diagnosis](diagnosis.md).

## JuliaActors

`Actors` is part of the Julia GitHub group [`JuliaActors`](https://github.com/JuliaActors).

## Authors

- [Paul Bayer](https://github.com/pbayer)

## License

`Actors` is licensed under the [MIT License](https://github.com/pbayer/YAActL.jl/blob/master/LICENSE).
